<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>org.apache.nutch.util (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<h1 class="bar"><a href="../../../../org/apache/nutch/util/package-summary.html" target="classFrame">org.apache.nutch.util</a></h1>
<div class="indexContainer">
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="AbstractChecker.html" title="class in org.apache.nutch.util" target="classFrame">AbstractChecker</a></li>
<li><a href="CommandRunner.html" title="class in org.apache.nutch.util" target="classFrame">CommandRunner</a></li>
<li><a href="CrawlCompletionStats.html" title="class in org.apache.nutch.util" target="classFrame">CrawlCompletionStats</a></li>
<li><a href="CrawlCompletionStats.CrawlCompletionStatsCombiner.html" title="class in org.apache.nutch.util" target="classFrame">CrawlCompletionStats.CrawlCompletionStatsCombiner</a></li>
<li><a href="DeflateUtils.html" title="class in org.apache.nutch.util" target="classFrame">DeflateUtils</a></li>
<li><a href="DomUtil.html" title="class in org.apache.nutch.util" target="classFrame">DomUtil</a></li>
<li><a href="DumpFileUtil.html" title="class in org.apache.nutch.util" target="classFrame">DumpFileUtil</a></li>
<li><a href="EncodingDetector.html" title="class in org.apache.nutch.util" target="classFrame">EncodingDetector</a></li>
<li><a href="FSUtils.html" title="class in org.apache.nutch.util" target="classFrame">FSUtils</a></li>
<li><a href="GenericWritableConfigurable.html" title="class in org.apache.nutch.util" target="classFrame">GenericWritableConfigurable</a></li>
<li><a href="GZIPUtils.html" title="class in org.apache.nutch.util" target="classFrame">GZIPUtils</a></li>
<li><a href="HadoopFSUtil.html" title="class in org.apache.nutch.util" target="classFrame">HadoopFSUtil</a></li>
<li><a href="JexlUtil.html" title="class in org.apache.nutch.util" target="classFrame">JexlUtil</a></li>
<li><a href="LockUtil.html" title="class in org.apache.nutch.util" target="classFrame">LockUtil</a></li>
<li><a href="MimeUtil.html" title="class in org.apache.nutch.util" target="classFrame">MimeUtil</a></li>
<li><a href="NodeWalker.html" title="class in org.apache.nutch.util" target="classFrame">NodeWalker</a></li>
<li><a href="NutchConfiguration.html" title="class in org.apache.nutch.util" target="classFrame">NutchConfiguration</a></li>
<li><a href="NutchJob.html" title="class in org.apache.nutch.util" target="classFrame">NutchJob</a></li>
<li><a href="NutchTool.html" title="class in org.apache.nutch.util" target="classFrame">NutchTool</a></li>
<li><a href="ObjectCache.html" title="class in org.apache.nutch.util" target="classFrame">ObjectCache</a></li>
<li><a href="PrefixStringMatcher.html" title="class in org.apache.nutch.util" target="classFrame">PrefixStringMatcher</a></li>
<li><a href="ProtocolStatusStatistics.html" title="class in org.apache.nutch.util" target="classFrame">ProtocolStatusStatistics</a></li>
<li><a href="ProtocolStatusStatistics.ProtocolStatusStatisticsCombiner.html" title="class in org.apache.nutch.util" target="classFrame">ProtocolStatusStatistics.ProtocolStatusStatisticsCombiner</a></li>
<li><a href="SegmentReaderUtil.html" title="class in org.apache.nutch.util" target="classFrame">SegmentReaderUtil</a></li>
<li><a href="SitemapProcessor.html" title="class in org.apache.nutch.util" target="classFrame">SitemapProcessor</a></li>
<li><a href="StringUtil.html" title="class in org.apache.nutch.util" target="classFrame">StringUtil</a></li>
<li><a href="SuffixStringMatcher.html" title="class in org.apache.nutch.util" target="classFrame">SuffixStringMatcher</a></li>
<li><a href="TableUtil.html" title="class in org.apache.nutch.util" target="classFrame">TableUtil</a></li>
<li><a href="TimingUtil.html" title="class in org.apache.nutch.util" target="classFrame">TimingUtil</a></li>
<li><a href="TrieStringMatcher.html" title="class in org.apache.nutch.util" target="classFrame">TrieStringMatcher</a></li>
<li><a href="URLUtil.html" title="class in org.apache.nutch.util" target="classFrame">URLUtil</a></li>
</ul>
</div>
</body>
</html>
